#-----------------------------
# QMake build file for perchart

TEMPLATE = app
TARGET = personal-chart

#-----------------------------
# Source and header files

HEADERS += \
    camerapanichandler.h \
    cameraoverlay.h \
    modeldialog.h \
    measurement.h \
    linechartview.h \
    linechartbuilder.h \
    historyview.h \
    editview.h \
    user.h \
    startview.h \
    smtp.h \
    chartbuilder.h \
    camerathread.h \
    cameraviewfinder.h \
    applicationmenu.h

SOURCES += \
    camerapanichandler.cpp \
    cameraoverlay.cpp \
    modeldialog.cpp \
    measurement.cpp \
    main.cpp \
    linechartview.cpp \
    linechartbuilder.cpp \
    historyview.cpp \
    editview.cpp \
    user.cpp \
    startview.cpp \
    smtp.cpp \
    chartbuilder.cpp \
    camerathread.cpp \
    cameraviewfinder.cpp \
    applicationmenu.cpp

RESOURCES += \
    resources.qrc

#-----------------------------
# Source and header paths

VPATH += src
DEPENDPATH += .

#-----------------------------
# Path to local FCam directory

FCAM_PATH = ../../FCam
#FCAM_PATH = ../../../fcam-dev/trunk

#-----------------------------
# Shouldn't need to modify the below
INCLUDEPATH += $$FCAM_PATH/include
LIBS += -L$$FCAM_PATH
LIBS += -L./libs
#TARGETDEPS += $$FCAM_PATH/libFCam.a

#-----------------------------
# Libraries

LIBS += -lpthread \
    -ljpeg \
    -lFCam

#-----------------------------
# Build destination paths
OBJECTS_DIR = build
MOC_DIR     = build
UI_DIR      = build
DESTDIR     = build

#-----------------------------
# QT Configuration
QT += network maemo5

unix {
BINDIR = $$PREFIX/bin
DATADIR =$$PREFIX/share

DEFINES += DATADIR=\"$$DATADIR\" PKGDATADIR=\"$$PKGDATADIR\"

#MAKE INSTALL

INSTALLS += target desktop

  target.path =$$BINDIR

  desktop.path = $$DATADIR/applications/hildon
  desktop.files += personal-chart.desktop

}
